Place an order
curl --request POST \
--url https://testnet.edel-api.xyz/v1/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"accountId": "<string>",
"marketId": "<string>",
"clientOrderId": "<string>",
"orderType": "market",
"quantity": "<string>",
"reduceOnly": true,
"leverageX": 2,
"autoClose": {
"takeProfitPriceAtoms": "<string>",
"stopLossPriceAtoms": "<string>"
}
}
'import requests
url = "https://testnet.edel-api.xyz/v1/orders"
payload = {
"accountId": "<string>",
"marketId": "<string>",
"clientOrderId": "<string>",
"orderType": "market",
"quantity": "<string>",
"reduceOnly": True,
"leverageX": 2,
"autoClose": {
"takeProfitPriceAtoms": "<string>",
"stopLossPriceAtoms": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
accountId: '<string>',
marketId: '<string>',
clientOrderId: '<string>',
orderType: 'market',
quantity: '<string>',
reduceOnly: true,
leverageX: 2,
autoClose: {takeProfitPriceAtoms: '<string>', stopLossPriceAtoms: '<string>'}
})
};
fetch('https://testnet.edel-api.xyz/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "external-order/v1",
"orderId": "<string>",
"accountId": "<string>",
"marketId": "<string>",
"status": "open",
"lastSequence": 1,
"idempotencyKey": "<string>",
"cancelReason": "margin_unbacked"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}Orders
Place an order
Submits a new order to the matching engine. Requires an Idempotency-Key header; the response is accepted for asynchronous processing.
Method and path: POST /v1/orders
Authentication: DFNS trader bearer required.
Request schema: ExternalPlaceOrderRequest.
Response schema: ExternalOrderResponse.
Error envelope: ExternalRestError (external-rest-error/v1).
POST
/
v1
/
orders
Place an order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Minimum string length:
1Body
application/json
- Option 1
- Option 2
- Option 3
Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
buy, sell Allowed value:
"market"Pattern:
^[0-9]+(?:\.[0-9]+)?$Required range:
x >= 1Show child attributes
Show child attributes
Response
Accepted for processing
Allowed value:
"external-order/v1"Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
open, partially_filled, filled, canceled, replaced Required range:
x >= 0Minimum string length:
1Available options:
margin_unbacked, risk_evidence_incomplete, market_session_closed